org.apache.storm.generated

## Class DistributedRPCInvocations.Client

- java.lang.Object
- - org.apache.storm.thrift.TServiceClient
  - - org.apache.storm.generated.DistributedRPCInvocations.Client

- All Implemented Interfaces:
    DistributedRPCInvocations.Iface
  Enclosing class:
    DistributedRPCInvocations

      public static class DistributedRPCInvocations.Client
      extends org.apache.storm.thrift.TServiceClient
      implements DistributedRPCInvocations.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DistributedRPCInvocations.Client.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(org.apache.storm.thrift.protocol.TProtocol prot)`
    `Client(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TProtocol oprot)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `failRequest(String id)`
    `void` | `failRequestV2(String id, DRPCExecutionException e)`
    `DRPCRequest` | `fetchRequest(String functionName)`
    `void` | `recv_failRequest()`
    `void` | `recv_failRequestV2()`
    `DRPCRequest` | `recv_fetchRequest()`
    `void` | `recv_result()`
    `void` | `result(String id, String result)`
    `void` | `send_failRequest(String id)`
    `void` | `send_failRequestV2(String id, DRPCExecutionException e)`
    `void` | `send_fetchRequest(String functionName)`
    `void` | `send_result(String id, String result)`

    - ### Methods inherited from class org.apache.storm.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase, sendBaseOneway`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client(org.apache.storm.thrift.protocol.TProtocol prot)

    - #### Client

          public Client(org.apache.storm.thrift.protocol.TProtocol iprot,
                        org.apache.storm.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### result

          public void result(String id,
                             String result)
                      throws AuthorizationException,
                             org.apache.storm.thrift.TException

      Specified by:
        `result` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_result

          public void send_result(String id,
                                  String result)
                           throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_result

          public void recv_result()
                           throws AuthorizationException,
                                  org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### fetchRequest

          public DRPCRequest fetchRequest(String functionName)
                                   throws AuthorizationException,
                                          org.apache.storm.thrift.TException

      Specified by:
        `fetchRequest` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_fetchRequest

          public void send_fetchRequest(String functionName)
                                 throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_fetchRequest

          public DRPCRequest recv_fetchRequest()
                                        throws AuthorizationException,
                                               org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### failRequest

          public void failRequest(String id)
                           throws AuthorizationException,
                                  org.apache.storm.thrift.TException

      Specified by:
        `failRequest` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_failRequest

          public void send_failRequest(String id)
                                throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_failRequest

          public void recv_failRequest()
                                throws AuthorizationException,
                                       org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### failRequestV2

          public void failRequestV2(String id,
                                    DRPCExecutionException e)
                             throws AuthorizationException,
                                    org.apache.storm.thrift.TException

      Specified by:
        `failRequestV2` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_failRequestV2

          public void send_failRequestV2(String id,
                                         DRPCExecutionException e)
                                  throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_failRequestV2

          public void recv_failRequestV2()
                                  throws AuthorizationException,
                                         org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.